-- SHAMAN SPELL:   GHOST_WOLF
function GoH_Shaman_MenuButton_Ghost_Wolf_OnClick()
	    if GoHv5_Shaman_Data.config.Ghost_Wolf == "NO" then
	    	GoHv5_Shaman_Data.config.Ghost_Wolf = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Roar.mp3","Master");
	    else
	    	GoHv5_Shaman_Data.config.Ghost_Wolf = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end

-- SHAMAN SPELL:   HEROISM
function GoH_Shaman_MenuButton_Heroism_OnClick()
	    if GoHv5_Shaman_Data.config.Heroism == "NO" then
	    	GoHv5_Shaman_Data.config.Heroism = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Hand_of_Protection_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Shaman_Data.config.Heroism = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end

-- SHAMAN SPELL:   THUNDERSTORM
function GoH_Shaman_MenuButton_Thunderstorm_OnClick()
	    if GoHv5_Shaman_Data.config.Thunderstorm == "NO" then
	    	GoHv5_Shaman_Data.config.Thunderstorm = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\Lightning_Storm.mp3","Master");
	    else
	    	GoHv5_Shaman_Data.config.Thunderstorm = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end

-- SHAMAN SPELL:   EARTHQUAKE
function GoH_Shaman_MenuButton_Earthquake_OnClick()
	    if GoHv5_Shaman_Data.config.Earthquake == "NO" then
	    	GoHv5_Shaman_Data.config.Earthquake = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\KillingBlow_7_HolyShit_" .. GoH_DeathKnight.Gender .. ".mp3","Master");
	    else
	    	GoHv5_Shaman_Data.config.Earthquake = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end



-- SHAMAN SPELL:   WATER_WALKING
function GoH_Shaman_MenuButton_Water_Walking_OnClick()
	    if GoHv5_Shaman_Data.config.Water_Walking == "NO" then
	    	GoHv5_Shaman_Data.config.Water_Walking = "YES"
	    	PlaySoundFile("Interface\\AddOns\\GoH_DeathKnight\\Sounds\\JesusWalk_1.mp3","Master");
	    else
	    	GoHv5_Shaman_Data.config.Water_Walking = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end

-- SHAMAN SPELL:   ASTRAL_SHIFT
function GoH_Shaman_MenuButton_Astral_Shift_OnClick()
	    if GoHv5_Shaman_Data.config.Astral_Shift == "NO" then
	    	GoHv5_Shaman_Data.config.Astral_Shift = "YES"
	    	Play_Random_Cloak();
	    else
	    	GoHv5_Shaman_Data.config.Astral_Shift = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end

-- SHAMAN SPELL:   FERAL_SPIRIT
function GoH_Shaman_MenuButton_Feral_Spirit_OnClick()
	    if GoHv5_Shaman_Data.config.Feral_Spirit == "NO" then
	    	GoHv5_Shaman_Data.config.Feral_Spirit = "YES"
	    	Play_Random_Summon_2()
	    else
	    	GoHv5_Shaman_Data.config.Feral_Spirit = "NO"
	    end

	-- REFRESH TEXT AND BUTTON IMAGES
	GoH_Shaman_Set_Menu_Button_Images();

end




-- ###################################################################################################
-- ###################################################################################################
-- THIS NEXT FUNCTION IS WHERE ALL YOUR SPELL IMAGES AND TEXT ARE CALLED, SET AND REFRESHED.
-- PUT ALL OF YOUR DRUID SPELLS WITHIN SO YOU JUST NEED TO CALL ONE FUNCTION TO REFRESH ALL.
-- BASICALLY EVERY SPELL YOU ADD ABOVE WILL BE WITHIN THE FUNCTION BELOW AND EVERY SPELL ABOVE WILL CALL
-- THE FUNCTION BELOW. EVERY TIME YOU CHECK SOMETHING IN THE DRUID MENU, BELOW WILL REFRESH IT ALL.
-- ###################################################################################################
-- ###################################################################################################
function GoH_Shaman_Set_Menu_Button_Images()

		--Shaman Sounds
	
	     -- SHAMAN    GHOST_WOLF
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_GHOST_WOLF_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_GHOST_WOLF_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_GHOST_WOLF_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Ghost_Wolf == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_GHOST_WOLF_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_GHOST_WOLF_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHAMAN    HEROISM
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_HEROISM_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_HEROISM_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_HEROISM_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Heroism == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_HEROISM_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_HEROISM_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHAMAN    THUNDERSTORM
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_THUNDERSTORM_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_THUNDERSTORM_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_THUNDERSTORM_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Thunderstorm == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_THUNDERSTORM_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_THUNDERSTORM_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHAMAN    EARTHQUAKE
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_EARTHQUAKE_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_EARTHQUAKE_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_EARTHQUAKE_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Earthquake == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_EARTHQUAKE_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_EARTHQUAKE_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
	
	
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHAMAN    WATER_WALKING
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_WATER_WALKING_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_WATER_WALKING_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_WATER_WALKING_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Water_Walking == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_WATER_WALKING_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_WATER_WALKING_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHAMAN    ASTRAL_SHIFT
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_ASTRAL_SHIFT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_ASTRAL_SHIFT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_ASTRAL_SHIFT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Astral_Shift == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_ASTRAL_SHIFT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_ASTRAL_SHIFT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
	
	-- ###################################################################################################
	-- ###################################################################################################
	-- SHAMAN    FERAL_SPIRIT
	-- ## DEFAULT ICON STATES WHICH DO NOT CHANGE
	GoH_SHAMAN_FERAL_SPIRIT_ICON:SetHighlightTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_FERAL_SPIRIT_ICON:SetPushedTexture("interface\\raidframe\\readycheck-ready.blp");
	GoH_SHAMAN_FERAL_SPIRIT_ICON:SetDisabledTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");

	-- CHECK THE SAVED VARIABLE TO SEE IF USER HAS SOUND ENABLED FOR THIS SPELL
	if (GoHv5_Shaman_Data.config.Feral_Spirit == "YES") then
		-- CHANGE THE ICON TO ENABLED
		GoH_SHAMAN_FERAL_SPIRIT_ICON:SetNormalTexture("interface\\raidframe\\readycheck-ready.blp");
		

	else
		-- CHANGE THE ICON TO DISABLED
		GoH_SHAMAN_FERAL_SPIRIT_ICON:SetNormalTexture("interface\\spellshadow\\spell-shadow-unacceptable.blp");
		

	end
end


